- Qt 5.15
- Qt Bluetooth
- QML Types
- BluetoothService QML Type
- Qt 5.15.12 Reference Documentation

# BluetoothService QML Type

Provides information about a particular Bluetooth service. More...

Import Statement: | import QtBluetooth 5.15
Since: | Qt 5.2

- List of all members, including inherited members

## Properties

- deviceAddress : string
- deviceName : string
- registered : string
- serviceDescription : string
- serviceName : string
- serviceProtocol : enumeration
- serviceUuid : string

## Signals

- detailsChanged()

## Detailed Description

It allows a QML project to get information about a remote service, or describe a service for a BluetoothSocket to connect to.

See also QBluetoothAddress and QBluetoothSocket.

## Property Documentation

deviceAddress : string

This property holds the remote device's MAC address. It must be a valid address to connect to a remote device using a Bluetooth socket. Changing this property emits the detailsChanged signal.

deviceName : string

This property holds the name of the remote device. Changing this property emits the detailsChanged signal.

registered : string

This property holds the registration/publication status of the service. If true, the service is published during service discovery.

serviceDescription : string

This property holds the description provided by the remote service. Changing this property emits the detailsChanged signal.

serviceName : string

This property holds the name of the remote service if available. Changing this property emits the detailsChanged signal.

serviceProtocol : enumeration

This property holds the protocol used for the service. Changing this property emits the detailsChanged signal.

Possible values for this property are:

Property | Description
--- | ---
`BluetoothService.RfcommProtocol` | The Rfcomm protocol is used.
`BluetoothService.L2capProtocol` | The L2cap protocol is used.
`BluetoothService.UnknownProtocol` | The protocol is unknown.

See also QBluetoothServiceInfo::Protocol.

serviceUuid : string

This property holds the UUID of the remote service. Service UUID, and the address must be set to connect to a remote service. Changing this property emits the detailsChanged signal.

## Signal Documentation

detailsChanged()

This signal is emitted when any of the following properties changes:

- deviceAddress
- deviceName
- serviceDescription
- serviceName
- serviceProtocol
- serviceUuid

The corresponding handler is `onDetailsChanged`.

Note: The corresponding handler is `onDetailsChanged`.